AutoCAD .NET :: Get Attribute List From Object?
Aug 25, 2012I've looked through many posts and can't make this work. Using ACAD2010.
Dim ac AsObject = Nothing
If ac IsNothingThen
ac = CreateObject(
[Code].....
I've looked through many posts and can't make this work. Using ACAD2010.
Dim ac AsObject = Nothing
If ac IsNothingThen
ac = CreateObject(
[Code].....
I have created a generic title block for all my drawings and I have some attributes for the block. Is it possible to have a drop down list for an attribute so I do not have to type in the value/text each time? If so, how?
I want to be able click on 'customer 1' or customer 2' ect. and not have to type it in the attribute.
I'm using Autocad 2011.
I am fishing around for information that will abstract my macro one more level. I coded an excel macro to run the following statement on a given set of drawings:
DWG.SendCommand ("FILEDIA" & vbCr & "0" & vbCr & "-ATTEXT" & vbCr & "C" & vbCr & ExtTemplate & vbCr & ExtPath & vbCr & "Y" & vbCr & "FILEDIA" & vbCr & "1" & vbCr)
Yielding text files which I consolidate into Excel to generate a full attribute extraction of the drawing set. My question concerns the extraction template file used in the ATTEXT command (shown as ExtTemplate in the code above). As it stands now, the Excel user must provide the attribute tags they want to extract and then I generate the proper extraction template in the background. My goal would be to eliminate this step from the user side and simply extract all attributes in the drawing instead of a designated few.
If you know a better way to do this using the ATTEXT command or a way to do this without the ATTEXT command at all, I would be grateful to hear it. From my current perspective however, I believe I would need to query the drawing to get a list of all attribute tags it contains, then configure the extraction template to use all the tags from that query. I cannot figure out a way to generate this list of tags. So, that is my question
Is there anyway to move attributes up or down on the list of a title block? I like everything for Rev 1 to be together (Drawn By, Checked By, Approved By, Date, Description, and Rev Number)...However, i was in a hurry and skipped Approved By. Once i added it, after the entire title block was done, it moved it to the very bottom on the list. Is there a way to "Move Up" so that it's with the other Rev 1 group?
View 1 Replies View Related when I insert a block with attributes I get the prompts on the commandline to fill in the attributes. Can I stop this from happeneing, and just insert the block?
Alternatively, can I get the Attribute Editor dialogue box to come up instead?
Sidenote: How hard is it for people to learn that blocks need to be INSERTED not copied - if you copy the blasted thing the attributes are messed up, why is that so HARD?
How to choose the attribute or field data from a list?
When using the “title block”, attributes and fields to better control the information that belongs to the drawing, then it worth to have a feature that allows selecting this information from a LIST.
For example, if we need to specify “location” of the project, then it is better to have sort of list from which we can select the location of the project the same we do it in the Excel (as shown in the screenshot below).
Is there such feature in the AutoCAD? To choose the information from a list?
I'm looking for a lisp routine that will globally list all the values from a specific attribute tag within a specific block. The attribute tag is "COMMENT" and the block name is "FSD".
View 9 Replies View RelatedI have two lists with lists inside:
((A) (A) (A) (B) (B) (B) (B) (C) (C))
and
((A 1) (A 2) (A 3) (B 1) (B 2) (B 3) (B 4) (C 1) (C 2))
I just want to make a list with lists that is:
((A 1 2 3) (B 1 2 3 4) (C 1 2))
I am guessing map car and lambda should come into play but i can't figure it out.
Is there a way to exclude single attributes from being defined in a object style? As example: i want to define an outline that does not change width of the objects, but everything else.
There is a small tick box right of every attribute with help text "None this object attribute is not defined by a custom style" but i can not mark it. My feeling is, that i need to switch on this tick box to get the result i need, but i can not. When i click on it, it just gives me a greyed out "Revert". When i try to make child styles, there is a way to break the connection to parent style with these tick boxes, but no luck.
Is it a bug? I tried it with X6, X6.1 and X6.2
Is it possible to assign an Atribute (or something similar) to an object like a Circle (without converting the circle to Block) for example? or link an object to an Attribute?
View 3 Replies View RelatedI no longer seem to be able to snap to the nodes of block attributes.
My osnap settings are set to snap to nodes. I wonder whether it's a variable that on my previous version of AutoCAD was set to one thing and the new version defaults to another.
I have imported a shp to dwg. it has the object data attributes.
Suppose I have a point for cities shp imported to dwg. The attribute has name of the city. How can I display the name of the city to each point on the layer of dwg file.
Is there way get field object att in xref ?
View 3 Replies View RelatedI'm trying to edit our titleblocks. There is information we repeat at the top of the drawing like the drawing name, sheet number, total number of sheets, contract number, etc. It is ridiculous to have to type this information in twice. I tried creating both text and constant attributes at the top and insert field pointing to attributes at the bottom but all I get is ---- when inserted. My inserted field was ->Object->(selected attribute)->Value. I am using version 2011. I would think it should be easy to "repeat" values of attributes inside a block.
View 5 Replies View RelatedIm trying to wire an object's Z position to a custom attribute. I've frozen transforms, but whenever i wire the zero euler Z position to the attribute, when i control the attribute, i notice that my object is moving relative to world, and not to its position.
I want to move it along its own Z axis, not world axis.
I am using AuotCAD Architecture 2012 and suddenly the Xref/Block Object List dialog box stopped opening when I use the XLIST command. How Can I get this back?
View 4 Replies View RelatedI'm trying to determine how to change the color of an object based upon a custom attribute slider. It would only need to change between 2 colors. I know this can be done by simply autokeying but using a slider would be more useful for my situation.
Is there a way to do this? I've been playing with wiring a simple cube's material but am not sure how to do this.
I've got hundreds of files to convert.
In VBA, how can I batch convert field attributes in blocks to text attributes while retaining the blocks? Is there a simple way to univerally convert them all at onceusing VBA? The plotted values for the fields must be retained, too.
Explode will not retain the value of the field.
Burst will not work as it explodes the blocks as well.
You can right-click on the field and slelct "Convert to text" from the RCM. So I know that the process exists within CAD, just need to batch the process for a quantity of DWGs at a time - in VBA.
I wanna transfer my attribute block values to another attribute text blocks , is there any lisp for that?
Is there a possibility for sum tag values of choice attribute blocks to inside of another attribute text block ?
Background: Someone exploded an attribute block and copied it hundreds of times throughout a project, each time changing the Attribute Tag to match the Value they expected to appear in their drawing. The drawing must be xrefed, so the attribute definitions do not appear.
(There is only 1 attribute in the block.)
Proposed Solutions:
1:AutoLISP routine which copies Tag data from Attribute Definition into Value of Attribute Block:
Prompt-Select Attribute Definition
Copy Tag data
Prompt-Select Attribute Block
Paste data into Value
(Allow repeat to speed workflow)(*PREFERRED*)
2:AutoLISP routine which copies Tag data from Attribute Definition into Default Value and creates a new Block:
Prompt-Select Attribute Definition
Copy Tag data
Paste data into Default Value
Create New Block
(Select Multiple Objects)(Creates tons of new blocks which are messy)
I am using M Text Attributes to store imperial lengths in the drawing, feet inches and fractions (stacked). When I read back the Text String property which, is the M text Attribute.Contents parsed, I am having problems because the parser does not add a space between the inch and the fraction. So, is there any setting that could be used to tell the parser to add the space between the inch and the fraction?
View 1 Replies View Relatedcreating a block with attributes. I did manage to get my block set up and inserted in a dwg, but I am unable to change the "value" of any attribute. Unless I click on the "..." button next to the value field.
View 1 Replies View RelatedI'm working in AutoCAD Map 3D 2008 and Autocad Civil 3D 2009.
The General Task:I want to convert the object data to attribute data so that I can export it to an Excel file, add another column of data, and then import that new data as attribute data.
The Specific Task:I have thousands of campus water meter locations (a block with a small icon, attribute data, and object data) that belong to two different systems, domestic water and lake water. Each of these blocks has object data item (a barcode tag) that I want to show as a label next to the block.
However, before I do that, I want to export that barcode data to an excel file so I add a column (eventually a new piece of attribute data) that says whether or not that specific water meter is radio read or manually read. I want to then import that radio read/manual read excel file back into autocad and have an X appear on the block icon if it is radio read. I also want the barcode information to show up as a label.
My problem:I can't get the barcode object data to export with the locations in one easy excel sheet that I can simply import after I have made my changes.
Find some person on here who knows how to convert object data to attribute data.
What I really want to do is on our fire alarm blocks we have 3 different attributes one for the address, the candela and one for misc info. I want to make an attribute that takes the number from the candela (15,30,75or 110) and change a different attribute to a value depending on which candela we use (such as 15=.078, 30=.113, 75=.195 or 110=.259). But I don't want the .078,.113,.195,.259 to print out on paper, I want to export block information excel file so I can add up all values.
View 2 Replies View RelatedI want to copy attribute values. I'm making a catalogue of all the reinforcements in my drawing so I need to name those reinforcements. So what I want is to make a string of text that I don't need to totally modify everytime. Something like this:
Amount of reinforcement bars - 5
Diameter of the reinforcement - 12
Division of reinforcing bars - 100
Reinforcement bars: 5-T12-k100
So the only attributes I'd edit would be the first three not the last one. So how can this be accomplished?
CDR X5.
My list of objects in the Object Manager docker have disappeared and I can't see how to get them back. With the layer manager view I can see the layers but no way can I display the objects (which I normally use a lot).
I would like to find a lisp that changes the scale of something that has an annotative scale and deletes all other scales in the object scale list. Often i have many different scales of existing dimensions or objects. i waste a lot of time opening the annotation object scale dialogue box, selecting add, finding my scale and deleting the old scale.
View 3 Replies View RelatedJust playing with actions multiple outputs. Have added a matte output successfully but can't find the 'edit output' option to add objects from the schematic to the object list, even if I add all I am then seeing unexpected behaviour using the different blend modes. Is this operator error (it wouldn't be the first time...)?
View 8 Replies View Relatedselect all blocks on certain layers in a drawing, check attribute CIRCUIT in each block if it starts with MS then attribute CONTROL = switched. I hope thats clear enough the way
(defun c:control()
(graphscr)
(Setq sc (ssget "X" '((0 . "INSERT")
[Code].....
when I select several objects and try to deselect some of them in the object manager the list scrolls down after each click. This happens only in long lists when I deselect objects that are rather in top of the list. It then scrolls until the end of the list and I have to scroll up again for deselecting any further object. Can this be fixed?
Furthermore I would like to know if there is any way to select/deselect by a filter? For example: Deselect all objects that are of the type text or all curves that have a border.
I have some blocks (different exit signs) in a drawing. I want to make a table or excel sheet that sums up the number of equal blocks in the drawing. How can i make this?
I want to connect this tabel to excel 2010.
I use AutoCad LT 2012.